Upstream information

CVE-2008-5824 at MITRE

Description

Heap-based buffer overflow in msadpcm.c in libaudiofile in audiofile 0.2.6 allows context-dependent attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted WAV file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 463220 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • audiofile >= 0.2.5-37.4
sles9-nlpos.x86
sles9-oes.x86
core9.s390x
core9.s390
core9.ia64
core9.x86
sles9-nld.x86-64
core9.ppc
sles9-nld.x86
core9.x86-64
YOU Patch Nr: 12342
Novell Linux Desktop 9 for x86_64
  • audiofile >= 0.2.5-37.4
  • audiofile-32bit >= 9-200901211334
sles9-nlpos.x86
sles9-oes.x86
core9.s390x
core9.s390
core9.ia64
core9.x86
sles9-nld.x86-64
core9.ppc
sles9-nld.x86
core9.x86-64
YOU Patch Nr: 12342
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for x86
  • audiofile >= 0.2.6-17.10.14
  • audiofile-devel >= 0.2.6-17.10.14
sles10-sp4.ppc
sles10-sp4.ia64
sled10-sp4.x86
sles10-sp4.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sles10-sp4.x86
ZYPP Patch Nr: 7394
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • audiofile >= 0.2.6-17.10.14
  • audiofile-32bit >= 0.2.6-17.10.14
  • audiofile-devel >= 0.2.6-17.10.14
sles10-sp4.ppc
sles10-sp4.ia64
sled10-sp4.x86
sles10-sp4.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sles10-sp4.x86
ZYPP Patch Nr: 7394
SUSE Linux Enterprise Server 10 SP4 for IPF
  • audiofile >= 0.2.6-17.10.14
  • audiofile-devel >= 0.2.6-17.10.14
  • audiofile-x86 >= 0.2.6-17.10.14
sles10-sp4.ppc
sles10-sp4.ia64
sled10-sp4.x86
sles10-sp4.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sles10-sp4.x86
ZYPP Patch Nr: 7394
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • audiofile >= 0.2.6-17.10.14
  • audiofile-64bit >= 0.2.6-17.10.14
  • audiofile-devel >= 0.2.6-17.10.14
sles10-sp4.ppc
sles10-sp4.ia64
sled10-sp4.x86
sles10-sp4.x86-64
sled10-sp4.x86-64
sles10-sp4.s390x
sles10-sp4.x86
ZYPP Patch Nr: 7394
openSUSE 11.0
  • audiofile-debuginfo >= 0.2.6-115.2
  • audiofile-debugsource >= 0.2.6-115.2
openSUSE 11.0
  • audiofile >= 0.2.6-115.2
  • audiofile-32bit >= 0.2.6-115.2
  • audiofile-64bit >= 0.2.6-115.2
  • audiofile-devel >= 0.2.6-115.2
openSUSE 11.1
  • audiofile-debuginfo >= 0.2.6-140.18.1
  • audiofile-debugsource >= 0.2.6-140.18.1
openSUSE 11.1
  • audiofile >= 0.2.6-140.18.1
  • audiofile-32bit >= 0.2.6-140.18.1
  • audiofile-64bit >= 0.2.6-140.18.1
  • audiofile-devel >= 0.2.6-140.18.1
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise Server 10 SP3
  • audiofile >= 0.2.6-17.10.8
  • audiofile-devel >= 0.2.6-17.10.8
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.s390x
sled10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sles10-sp3.ia64
ZYPP Patch Nr: 7315
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • audiofile >= 0.2.6-17.10.7
  • audiofile-32bit >= 0.2.6-17.10.8
  • audiofile-devel >= 0.2.6-17.10.7
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.s390x
sled10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sles10-sp3.ia64
ZYPP Patch Nr: 7315
SUSE Linux Enterprise Server 10 SP3
  • audiofile >= 0.2.6-17.10.7
  • audiofile-devel >= 0.2.6-17.10.7
  • audiofile-x86 >= 0.2.6-17.10.8
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.s390x
sled10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sles10-sp3.ia64
ZYPP Patch Nr: 7315
SUSE Linux Enterprise Server 10 SP3
  • audiofile >= 0.2.6-17.10.7
  • audiofile-64bit >= 0.2.6-17.10.7
  • audiofile-devel >= 0.2.6-17.10.7
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.s390x
sled10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sles10-sp3.ia64
ZYPP Patch Nr: 7315
SUSE Linux Enterprise Server 10 SP3
  • audiofile >= 0.2.6-17.10.7
  • audiofile-32bit >= 0.2.6-17.10.7
  • audiofile-devel >= 0.2.6-17.10.7
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.s390x
sled10-sp3.x86
sles10-sp3.ppc
sles10-sp3.x86-64
sles10-sp3.ia64
ZYPP Patch Nr: 7315


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 audiofile Released
SUSE Linux Enterprise Desktop 10 SP4 audiofile Released
SUSE Linux Enterprise Server 10 SP3 audiofile Released
SUSE Linux Enterprise Server 10 SP4 audiofile Released
SUSE Linux Enterprise Server 10 SP4 LTSS audiofile Released